List chat threads
GET
/api/canvas/{deal_id}/chat/threads
const url = 'https://example.com/api/canvas/example/chat/threads?limit=15&offset=0';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://example.com/api/canvas/example/chat/threads?limit=15&offset=0' \ --header 'Authorization: Bearer <token>'List chat threads for a deal (newest first), with pagination.
Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” deal_id
required
Deal Id
string
Query Parameters
Section titled “Query Parameters ” limit
Limit
integer
offset
Offset
integer
Responses
Section titled “ Responses ”Successful Response
Media type application/json
ThreadListResponse
Response body for listing threads.
object
threads
required
Threads
Array<object>
ThreadMetaResponseMetadata for a single chat thread.
object
thread_id
required
Thread Id
string
title
required
Title
string
status
required
Status
string
message_count
required
Message Count
integer
token_estimate
required
Token Estimate
integer
created_at
required
Created At
string
last_active
required
Last Active
string
discussed_sections
Discussed Sections
Array<string>
deal_id
required
Deal Id
string
total_count
Total Count
integer
Example
{ "threads": [ { "discussed_sections": [] } ], "total_count": 0}Validation Error
Media type application/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object
Example generated
{ "detail": [ { "loc": [ "example" ], "msg": "example", "type": "example", "input": "example", "ctx": {} } ]}